Bug 1123688 - dnf missing Requires on pyliblzma
Summary: dnf missing Requires on pyliblzma
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
(Show other bugs)
Version: 21
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ales Kozumplik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-28 00:29 UTC by Dan Callaghan
Modified: 2014-09-30 23:42 UTC (History)
5 users (show)

Fixed In Version: dnf-0.5.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-29 07:18:55 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dan Callaghan 2014-07-28 00:29:38 UTC
Description of problem:
dnf needs pyliblzma in order to decompress xz repodata, but dnf doesn't Require pyliblzma.

Version-Release number of selected component (if applicable):
dnf-0.5.4-1.fc21.noarch

Steps to Reproduce:
1. dnf remove pyliblzma
2. dnf grouplist

Actual results:
Error: No group data available for configured repositories.

Expected results:
(groups listed)

Additional info:
Took me a while to figure out that the error message actually means that dnf silently failed to decompress the comps.xml.xz and therefore it sees no groups.

Comment 1 Ales Kozumplik 2014-07-28 05:37:42 UTC
Thank you for reporting this.

Comment 2 Ales Kozumplik 2014-07-28 06:49:02 UTC
Fixed by 98a9b09.


Note You need to log in before you can comment on or make changes to this bug.